#
# spec file for package patterns-openSUSE
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with betatest

Name:           patterns-enlightenment-grassyknoll
Version:        20230202
Release:        lp160.1.13
Summary:        Patterns for Installation (Enlightenment Grassy Knoll patterns)
License:        MIT
Group:          Metapackages
Url:            https://github.com/openSUSE/patterns
Source0:        %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  patterns-rpm-macros


%description
This is an internal package that is used to create the patterns as part
of the installation source setup.  Installation of this package does
not make sense.

This particular package contains the Enlightenment pattern.

################################################################################

%package enlightenment-grassyknoll
%pattern_graphicalenvironments
Summary:        Enlightenment
Group:          Metapackages
Provides:       pattern() = enlightenment-grassyknoll
Provides:       pattern-icon() = pattern-enlightenment
Provides:       pattern-order() = 1500
Provides:       pattern-visible()
Obsoletes:      %{name}-e17
Requires:       enlightenment
Recommends:     terminology
Recommends:     desktop-branding

# We need appindicator support
Recommends:     libappindicator3-1

# We need a login manager
Requires:       lightdm
Requires:       lightdm-gtk-greeter

# Xorg related packages needed
Requires:       xorg-x11-server
Requires:       xorg-x11-fonts-core
Requires:       xf86-input-libinput
Requires:       libinput-udev

# Other stuff we want as default
Recommends:     wireplumber
Recommends:     google-droid-fonts
Recommends:     MozillaFirefox
Recommends:     desktop-data-openSUSE
# bnc#508120
Recommends:     xdg-user-dirs
# from data/COMMON-DESKTOP-OPT
# packages a GTK application
Recommends:     gutenprint
# MAYBE later lsb-graphics
Recommends:     icedtea-web
# give net shares
Recommends:     samba
# needs python-qt4, see#649280#14
Suggests:       hplip
# Add some Common useful programs that don't require another DE
Recommends:     clementine
Recommends:     vlc
Recommends:     leafpad
Recommends:     mupdf

%description enlightenment-grassyknoll
Enlightenment Window Manager and applications

%files enlightenment-grassyknoll
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/enlightenment-grassyknoll.txt

################################################################################

%prep

%build

%install
mkdir -p %{buildroot}/usr/share/doc/packages/patterns/
echo 'This file marks the pattern enlightenment to be installed.' >%{buildroot}/usr/share/doc/packages/patterns/enlightenment-grassyknoll.txt
%changelog
* Thu Feb  2 2023 Maurizio Galli <maurizio.galli@suse.com>
- Initial build
